export default {
	state: {
		main_order_count:[],
		repair_count:[],

		home_msg:{
			briefing:[],
			workOrder:[],
			spareParts:[],
			reachStandard:[]
		},

		exportMsg:{}
	},
	mutations: {
		set_list_count_info(state, list){
			state.main_order_count = list;
		},
		set_repair_count(state, list){
			state.repair_count = list;
		},
		set_home_msg(state,key){
			if(key.data){
				switch (key.data.type) {
					case 21:
						state.home_msg.briefing = key;
						break
					case 24:
						state.home_msg.workOrder = key;
						break
					case 25:
						state.home_msg.spareParts = key;
						break
					case 26:
						state.home_msg.reachStandard = key;
						break
					default:
						state.exportMsg = key;
						break;
				}
			}
		}
	},
	actions: {

	}
}
